package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabDataSingleEffectConfigMapper;
import com.gic.enterprise.dto.data.DataSingleEffectConfigDTO;
import com.gic.enterprise.entity.TabDataSingleEffectConfig;
import com.gic.enterprise.service.DataSingleEffectConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("dataSingleEffectConfigService")
public class DataSingleEffectConfigServiceImpl implements DataSingleEffectConfigService{
    @Autowired
    private TabDataSingleEffectConfigMapper tabDataSingleEffectConfigMapper;

    @Override
    public void saveSingleEffectConfig(DataSingleEffectConfigDTO dto) {
        Date now = new Date();
        dto.setCreateTime(now);
        dto.setUpdateTime(now);
        dto.setStatus(1);
        TabDataSingleEffectConfig record = EntityUtil.changeEntityNew(TabDataSingleEffectConfig.class, dto);
        tabDataSingleEffectConfigMapper.insert(record);
    }

    @Override
    public void editSingleEffectConfig(DataSingleEffectConfigDTO dto) {
        dto.setUpdateTime(new Date());
        TabDataSingleEffectConfig record = EntityUtil.changeEntityNew(TabDataSingleEffectConfig.class, dto);
        tabDataSingleEffectConfigMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabDataSingleEffectConfig getByEnterpriseId(Integer enterpriseId) {
        return tabDataSingleEffectConfigMapper.getByEnterpriseId(enterpriseId);
    }
}
